API ReferenceCredential types
Delete credential type
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_DELETE_STARTECOSYSTEM_CREDENTIAL_DELETE_SUCCESSECOSYSTEM_CREDENTIAL_DELETE_FAIL
DELETE
/v1/ecosystems/{ecosystemId}/credentials/{credentialId}Deletes a credential type from the requested ecosystem by its ID.
Analytic events
- ECOSYSTEM_CREDENTIAL_DELETE_START
- ECOSYSTEM_CREDENTIAL_DELETE_SUCCESS
- ECOSYSTEM_CREDENTIAL_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidcredentialId*string
The UUID of the credential
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/credentials/599bf148-d711-405a-a20b-9c8a87ac8850"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve credential type GET
Retrieves a credential type from the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_RETRIEVE_START * ECOSYSTEM_CREDENTIAL_RETRIEVE_SUCCESS * ECOSYSTEM_CREDENTIAL_RETRIEVE_FAIL
Create issuer assignment POST
Assigns a credential type to the requested participant in the requested ecosystem. ### **Analytic events** * ECOSYSTEM_ISSUER_POLICY_CREATE_START * ECOSYSTEM_ISSUER_POLICY_CREATE_SUCCESS * ECOSYSTEM_ISSUER_POLICY_CREATE_FAIL